Bug 114949 - Kernel Hardlock on Compaq Proliant 1600R on PS/2 mouse access
Kernel Hardlock on Compaq Proliant 1600R on PS/2 mouse access
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 14:16 EST by Jon Frederick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of /proc/pci (2.67 KB, text/plain)
2004-02-04 14:20 EST, Jon Frederick
no flags Details

  None (edit)
Description Jon Frederick 2004-02-04 14:16:48 EST
Description of problem:
Kernel will hard lock the system on access to the PS/2 mouse port. 
Install is possible with a serial mouse or in text mode.  


Version-Release number of selected component (if applicable):
Fedora Core 1

How reproducible:
Always reproducible

Steps to Reproduce:
1. Boot installer with PS/2 mouse attached
2. Attempt to use graphical installer with the PS/2 mouse

Actual results:
System hard locks with a screen full of garbage

Expected results:
working mouse and no crash

Additional info:
The Proliant 1600 has a very odd motherboard config, where the south
bridge and IO chips are behind a PCI to PCI bridge.  It is an Intel
440BX chipset, with the video chip, scsi and lan on the main PCI bus,
then a Digital PCI to PCI bridge to the south bridge and PCI expansion
slots.
Comment 1 Jon Frederick 2004-02-04 14:20:36 EST
Created attachment 97471 [details]
contents of /proc/pci

After checking /proc/pci it looks like my first hunch was wrong.  It's still a
strange PCI setup, but the southbridge does look like it's in the right place.
Comment 2 Conny Brunnkvist 2004-03-15 08:33:19 EST
I had this problem and solved it by starting the installation with the
"nousb" command line option.
Comment 3 David Lawrence 2004-09-29 16:03:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.